import React from "react";
interface IProps {
    onFinished(): void;
}
interface IState {
    icon: string;
}
export default class SetupEncryptionDialog extends React.Component<IProps, IState> {
    private store;
    constructor(props: IProps);
    componentDidMount(): void;
    componentWillUnmount(): void;
    private onStoreUpdate;
    render(): React.ReactNode;
}
export {};
